Question [Q] Howto upgrade Defy MB525 green lens to KITKAT

Hello,

I have a MB525 green lens running on unofficial CM9 (4.0.4) - what steps are necessary to get it working under 4.4?

As I read in the docu IŽd have to upgrade to CM 10.2, then flash the bootloader-upgrade, then 11.0 - is this correct?

Best regards, Mauri